const router = require('koa-router')()
const { loginRouter } = require('./login')
const { userRouter } = require('./user')
const { uploadRouter } = require('./upload')
const { DepartmentController } = require('../controller')

loginRouter(router)
userRouter(router)
uploadRouter(router)

router.get('/department/list', async (ctx, next) => {
  await next()
  await DepartmentController.findAll(ctx)
})

module.exports = router
